//
// Created by sasha on 01.12.2025.
//

#ifndef RU_DANSOFT_PUZZLE15_RECORD_SELECTOR_H
#define RU_DANSOFT_PUZZLE15_RECORD_SELECTOR_H

#include "engine/widgets/iwidget.h"
#include "engine/widgets/image.h"
#include "engine/widgets/text.h"


class RecordSelector  : public IWidget {
    public:
        RecordSelector(IWidget *parent, float x, float y);
        ~RecordSelector();

        void event(const SDL_Event &event) override;

        void onSelect(std::function<void(const std::string &type)> func);

    private:
        Image *table;
        Image *selector;
        Text *text_3;
        Text *text_4;
        Text *text_5;

        std::function<void(const std::string &type)> callbacksOnSelect;
};


#endif //RU_DANSOFT_PUZZLE15_RECORD_SELECTOR_H
